跳转到主要内容
GET
/
v1
/
trade
/
{chain}
/
top-traders
交易 - 顶级交易者
curl --request GET \
  --url https://api.chainstream.io/v1/trade/{chain}/top-traders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
      "tradeCount": 100,
      "tradeAmount": "1000000",
      "buyCount": 60,
      "buyAmount": "600000",
      "buyAmountInUsd": "12000.50",
      "buyAmountInNative": "100.5",
      "sellCount": 40,
      "sellAmount": "400000",
      "sellAmountInUsd": "8000.30",
      "sellAmountInNative": "66.8"
    }
  ],
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "<string>",
  "endCursor": "<string>",
  "total": 0
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络中列出的区块链名称

可用选项:
sol,
bsc,
eth

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

返回顶级交易者的最大数量(最多10个)

必填范围: 1 <= x <= 100
direction
enum<string>
默认值:next

分页方向(next或prev)

可用选项:
next,
prev
tokenAddress
string
必填

查询交易的代币地址

示例:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

timeFrame
enum<string>
默认值:24h

筛选交易的时间范围

可用选项:
30m,
1h,
2h,
4h,
6h,
8h,
12h,
24h
示例:

"24h"

sortType
enum<string>
默认值:desc

交易结果的排序类型

可用选项:
desc,
asc
示例:

"desc"

sortBy
enum<string>
默认值:tradeAmount

排序交易的字段

可用选项:
tradeAmount,
tradeCount
示例:

"tradeAmount"

响应

200 - application/json
data
object[]
必填

顶级交易者数据数组

hasNext
boolean
默认值:false

指示是否有更多结果

hasPrev
boolean
默认值:false

指示是否有上一页结果

startCursor
string

当前页第一项的游标

endCursor
string

当前页最后一项的游标

total
integer<int64>
默认值:0

总项目数